API documentation
    • Back to home
    • Folder
    • Create
      POST
    • Update
      PUT
    • Delete
      DELETE
    • Move folder
      POST
    • Copy folder
      POST
    • List
      GET
    • Detail
      GET
    • Subfolders lists
      GET

      Detail

      Developing
      GET
      https://api.everabyte.io/api/folders/details/{folderId}
      Retrieves detailed information about a specific folder, including metadata like name, visibility, timestamps, size, ownership, and sharing details. Use this endpoint to fetch comprehensive folder stats for display or management in file organization apps.

      Method#

      GET /folders/details/{folderId}

      Request Body Parameters#

      No request body is required for this endpoint.
      Path Parameters:
      ParameterTypeRequiredDescription
      folderIdstringYesUnique identifier of the folder to retrieve details for.
      Example Request:
      GET /folders/details/yjkuy7ii7iu8i9i8
      Content-Type: application/json
      Authorization: Bearer <your_access_token>

      Response Codes#

      200 OK — Folder details retrieved successfully.
      401 Unauthorized — The current user is not authorized to access this folder.
      404 Not Found — The specified folderId does not exist.
      500 Internal Server Error — Unexpected server error.

      Request

      Authorization
      Provide your bearer token in the
      Authorization
      header when making requests to protected resources.
      Example:
      Authorization: Bearer ********************
      Path Params

      Request Code Samples

      Shell
      JavaScript
      Java
      Swift
      Go
      PHP
      Python
      HTTP
      C
      C#
      Objective-C
      Ruby
      OCaml
      Dart
      R
      Request Request Example
      Shell
      JavaScript
      Java
      Swift
      curl --location 'https://api.everabyte.io/api/folders/details/' \
      --header 'Authorization: Bearer <token>'

      Responses

      🟢200Success
      application/json
      Bodyapplication/json

      Example
      {
        "status": 200,
        "data": {
          "id": "viq64bpid6p7x4y17fcdliux",
          "name": "Test doc",
          "visibility": "private",
          "createdAt": "2026-05-12T12:38:34.581Z",
          "updatedAt": "2026-05-12T12:38:34.581Z",
          "lastAccessAt": null,
          "totalFiles": 0,
          "totalSubfolders": 0,
          "totalSizeByte": 0,
          "sharedUsersCount": 0,
          "ownerFolder": null,
          "displayPath": "/Test/Test doc",
          "locationLabel": "[object Object] (eu-central-2)",
          "parentId": "uegxerbdayv4503dsdu6um7w",
          "parentName": "Test",
          "isRoot": false,
          "accessUrl": "/folders/details/viq64bpid6p7x4y17fcdliux",
          "shareUrl": "/folders/share/viq64bpid6p7x4y17fcdliux"
        }
      }
      Modified at 2026-05-12 13:22:07
      Previous
      List
      Next
      Subfolders lists
      Built with